# Understand The Basics

Before effectively using Argo CD, it is necessary to understand the underlying technology that the platform is built on. It is also necessary to understand the features being provided to you and how to use them. The section below provides some useful links to build up this understanding.
 
## Learn The Fundamentals

* Go through the online Docker and Kubernetes tutorials:
	* [A Beginner-Friendly Introduction to Containers, VMs and Docker](https://medium.freecodecamp.org/a-beginner-friendly-introduction-to-containers-vms-and-docker-79a9e3e119b)
	* [Introduction to Kubernetes](https://www.edx.org/course/introduction-to-kubernetes)
	* [Tutorials](https://kubernetes.io/docs/tutorials/)
* Depending on how you plan to template your applications:
    * [Kustomize](https://kustomize.io) 
    * [Helm](https://helm.sh)
* If you're integrating with a CI tool:
	* [GitHub Actions Documentation](https://docs.github.com/en/actions)
	* [Jenkins User Guide](https://www.jenkins.io/doc/book/)
